﻿Option Strict On
Option Explicit On

Public Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        '**
        '* Ejemplo de uso de la libreria ASP .NET de envio de sms
        '**
        Dim cuenta As String = "123456789"
        Dim password As String = "987654321"

        '*********************************
        'establecer información de usuario
        '*********************************
        Dim oSender As New smsSender(cuenta, password)

        '***************************
        'Obtener el credito restante
        '***************************
        Dim credito As Object = oSender.DHgetCredito()
        If (TypeOf credito Is Boolean) AndAlso (DirectCast(credito, Boolean) = False) Then
            Response.Write("No se ha podido obtener el credito <br/>")
            For i = LBound(oSender.Errores) To UBound(oSender.Errores)
                Response.Write(oSender.Errores(i) & "<br/>")
            Next
        Else
            Response.Write("Tengo un credito de " & credito.ToString & "<br/>")
        End If

        '**********************************
        'Enviar un mensaje a 1 destinatario
        ' NOTA: Para enviar a numeros internacionales hay que emplear el numero sin punto ni el signo "+", ej: 34666777888
        '***********************************
        If oSender.DHSend("666555111", "Este es un mensaje", "remitente") = True Then
            Response.Write("El mensaje se ha enviado correctamente" & "<br/>")
            Response.Write("Tengo un credito de " & oSender.Credito & "<br/>")
        Else
            Response.Write("No se ha podido enviar el mensaje" & "<br/>")
            For i = LBound(oSender.Errores) To UBound(oSender.Errores)
                Response.Write(oSender.Errores(i) & "<br/>")
            Next
        End If

        '**********************************
        'Enviar un mensaje a 1 destinatario
        ' NOTA: Para enviar a numeros internacionales hay que emplear el numero sin punto ni el signo "+", ej: 34666777888
        '***********************************
        If oSender.DHSendBulk(New String() {"666555111", "666555222", "666555333"}, "Este es un mensaje para varios destinatarios", "remitente") = True Then
            Response.Write("El mensaje se ha enviado correctamente" & "<br/>")
            Response.Write("Tengo un credito de " & oSender.Credito & "<br/>")
        Else
            Response.Write("No se ha podido enviar el mensaje" & "<br/>")
            For i = LBound(oSender.Errores) To UBound(oSender.Errores)
                Response.Write(oSender.Errores(i) & "<br/>")
            Next
        End If

    End Sub


End Class